#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SUBDIR=d2x-rebirth

%:
	dh $@ --parallel --sourcedirectory="${SUBDIR}"

override_dh_clean:
	scons --clean
	dh_clean .sconsign.dblite debian/*.xpm

override_dh_auto_build:
	dh_auto_build
	## build menu icon
	convert "${SUBDIR}"/d2x-rebirth.xpm -resize 32x32 debian/d2x-rebirth32.xpm
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
        scons prefix=/usr verbosebuild=1 --debug=presub

#DATA_DIR = $(SHARE_DIR)/games/$(PKG)
#DEBIAN_TMP = debian/tmp
#TMP_DATA_DIR = $(DEBIAN_TMP)/$(DATA_DIR)
	#install -d $(TMP_DATA_DIR)/missions $(TMP_DATA_DIR)/demos $(TMP_DATA_DIR)/screenshots $(TMP_DATA_DIR)/Music
	#unzip d1xr-hires.zip -d $(TMP_DATA_DIR)

#override_dh_clean:
#	dh_clean debian/*.xpm CMakeCache.txt cmake_install.cmake Makefile

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(CURDIR)

override_dh_auto_install:
	#scons install install_path=$(CURDIR)/tmp
	dh_auto_install --destdir=$(CURDIR)/tmp

override_dh_installchangelogs:
	dh_installchangelogs "${SUBDIR}"/CHANGELOG.txt

## http://wiki.debian.org/onlyjob/get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
DTYPE =
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
